> For the complete documentation index, see [llms.txt](https://noium.gitbook.io/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://noium.gitbook.io/documentation/api-documentation/mcp.md).

# MCP

Use the Noium MCP server at:

`https://mpc.noium.dev/mcp`

### Available endpoints

#### `get_clients`

Use `get_clients` to fetch client records from Noium.

This endpoint is useful when you need:

* client lists
* client lookup by available MCP filters
* client data inside MCP-connected workflows

#### `get_organizations`

Use `get_organizations` to fetch organization records from Noium.

This endpoint is useful when you need:

* available organizations
* organization lookup
* organization data inside MCP-connected workflows

{% hint style="info" %}
The MCP server currently exposes `get_clients` and `get_organizations`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://noium.gitbook.io/documentation/api-documentation/mcp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
